;;; +apheleia.el -*- lexical-binding: t; -*-

;;; Code:

;; https://github.com/raxod502/apheleia/pull/63#issue-1077529623
(defun +apheleia-indent-region (orig scratch callback _error)
  (with-current-buffer scratch
    (setq-local indent-line-function
                (buffer-local-value 'indent-line-function orig))
    (indent-region (point-min)
                   (point-max))
    (funcall callback)))

(provide '+apheleia)
;;; +apheleia.el ends here
