;;; +flyspell-correct.el ---                         -*- lexical-binding: t; -*-

;;; Code:

(defun +flyspell-correct-buffer (&rest _)  ; Enables this to be run as a hook
  "Run `flyspell-correct-wrapper' on all misspelled words in the buffer."
  (interactive)
  (+with-message "Checking spelling"
    (flyspell-correct-move (point-min) :forward :rapid)))

(provide '+flyspell-correct)
;;; +flyspell-correct.el ends here
